=== libvumod/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
set(VUMODLIB_VERSION_STRING 0.0.1)
set(VUMODLIB_VERSION_MAJOR 0)

include_directories(${VU_HEADERS})
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

file(GLOB VUMODLIB_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.c)
add_library(vumod SHARED ${VUMODLIB_SOURCES})
target_link_libraries(vumod volatilestream)

set_target_properties(vumod PROPERTIES VERSION ${VUMODLIB_VERSION_STRING}
        SOVERSION ${VUMODLIB_VERSION_MAJOR})

install(TARGETS vumod LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
