=== vunet/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

include_directories(${VU_HEADERS})

set(VU_MOD_TARGET vunet)
file(GLOB_RECURSE VUNET_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.c)

add_library(${VU_MOD_TARGET} SHARED ${VUNET_SOURCES})
set_target_properties(${VU_MOD_TARGET} PROPERTIES PREFIX "")

install(TARGETS ${VU_MOD_TARGET} LIBRARY DESTINATION ${MODULES_INSTALL_PATH})
