=== debian/changelog ===
vuos (0.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Renzo Davoli ]
  * New upstream version 0.9.1.

  [ Mattia Rizzolo ]
  * Change maintainer to the virtualsquare team.
  * Add Conflicts:umview to vuos-cmds. Closes: #1095963
  * Add lintian override for shared-library-lacks-prerequisites.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Feb 2025 11:13:33 +0100

vuos (0.9.0-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 25 Jan 2025 16:51:49 +0100
