=== debian/control ===
Source: vuos
Priority: optional
Section: utils
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders:
 Renzo Davoli <renzo@cs.unibo.it>,
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.12),
 libcap-dev,
 libexecs-dev,
 libfuse3-dev,
 libstropt-dev,
 libvdeplug-dev,
 libvolatilestream-dev,
 python3-minimal,
 strcase-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vuos.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vuos

Package: vuos
Section: metapackages
Architecture: amd64
Depends:
 vuos-cmds,
 vuos-modules,
 vuos-umvu,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtual Operating System at user space metapackage
 Virtual Operating System at user space. Currently it implements about 150
 Linux-compatible system calls providing support for a wide range of
 applications. Each process or even each thread in VUOS can see a different
 execution environment: file system contents, networking, devices, user ids,
 etc. The main idea behind VUOS is that it is possible to give processes
 their own "view" using partial virtual machines
 .
 This metapackage installs vuos hypervisors and modules

Package: vuos-modules
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtual Operating System at user space: modules
 Virtual Operating System at user space. Currently it implements about 150
 Linux-compatible system calls providing support for a wide range of
 applications. Each process or even each thread in VUOS can see a different
 execution environment: file system contents, networking, devices, user ids,
 etc. The main idea behind VUOS is that it is possible to give processes
 their own "view" using partial virtual machines
 .
 This package contains the vuos modules

Package: vuos-cmds
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 umview,
Description: Virtual Operating System at user space: commands
 Virtual Operating System at user space. Currently it implements about 150
 Linux-compatible system calls providing support for a wide range of
 applications. Each process or even each thread in VUOS can see a different
 execution environment: file system contents, networking, devices, user ids,
 etc. The main idea behind VUOS is that it is possible to give processes
 their own "view" using partial virtual machines
 .
 This package contains the vuos commands

Package: vuos-umvu
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtual Operating System at user space: umvu hypervisor
 Virtual Operating System at user space. Currently it implements about 150
 Linux-compatible system calls providing support for a wide range of
 applications. Each process or even each thread in VUOS can see a different
 execution environment: file system contents, networking, devices, user ids,
 etc. The main idea behind VUOS is that it is possible to give processes
 their own "view" using partial virtual machines
 .
 This package contains the umvu hypervisor

Package: libvumod0
Architecture: amd64
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtual Operating System at user space: library
 Virtual Operating System at user space. Currently it implements about 150
 Linux-compatible system calls providing support for a wide range of
 applications. Each process or even each thread in VUOS can see a different
 execution environment: file system contents, networking, devices, user ids,
 etc. The main idea behind VUOS is that it is possible to give processes
 their own "view" using partial virtual machines
 .
 This package contains the vuos library

Package: libvumod-dev
Architecture: amd64
Section: libdevel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtual Operating System at user space: library dev resources
 Virtual Operating System at user space. Currently it implements about 150
 Linux-compatible system calls providing support for a wide range of
 applications. Each process or even each thread in VUOS can see a different
 execution environment: file system contents, networking, devices, user ids,
 etc. The main idea behind VUOS is that it is possible to give processes
 their own "view" using partial virtual machines
 .
 This package contains the vuos library (resources for devs)
