## vuos 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.13)
 project("vuos"
-		VERSION 0.1.0
+		VERSION 0.9.2
 		DESCRIPTION ""
 		HOMEPAGE_URL "https://github.com/virtualsquare/vuos"
 		LANGUAGES C)
