=== debian/changelog ===
vuos (0.9.2-1) unstable; urgency=medium

  * Team upload.

  [ Renzo Davoli ]
  * New upstream version 0.9.2.
    + Fix build with fuse 3.17.  Closes: #1098735

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.7.2, no changes needed

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 19 Mar 2025 10:29:53 +0100
