=== debian/changelog ===
vuos (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4

 -- Renzo Davoli <renzo@cs.unibo.it>  Tue, 28 Oct 2025 17:56:48 +0100

vuos (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * Closes: #1113625

 -- Renzo Davoli <renzo@cs.unibo.it>  Wed, 15 Oct 2025 14:27:04 +0200
