=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libvolatilestream-dev,
  python3-minimal,
  strcase-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.virtualsquare.org/
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/vuos.git
