=== debian/watch ===
version=4

https://github.com/virtualsquare/vuos/tags \
   (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@
